Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 574786

Summary: >=media-video/ffmpeg-3.1.4 keyword request
Product: Gentoo Linux Reporter: Alexis Ballier <aballier>
Component: KeywordingAssignee: media-video herd <media-video>
Status: RESOLVED FIXED    
Severity: normal CC: axiator, itumaykin+gentoo, leio, ua_gentoo_bugzilla
Priority: Normal Keywords: KEYWORDREQ
Version: unspecifiedFlags: stable-bot: sanity-check-
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
=media-video/ffmpeg-3.3.3 =media-libs/kvazaar-1.1.0 =media-libs/zimg-2.5.1 =media-libs/openh264-1.7.0 =media-libs/rubberband-1.8.1-r1 =media-libs/chromaprint-1.4.2 =media-libs/libilbc-2.0.2 =media-libs/libebur128-1.2.2 =media-libs/vamp-plugin-sdk-2.7.1 =media-libs/libsdl2-2.0.5
Runtime testing required: ---
Bug Depends on: 589688, 594546, 595932, 595934    
Bug Blocks: 601354, 601662, 608316, 608868, 615510    

Description Alexis Ballier gentoo-dev 2016-02-15 13:44:15 UTC
New major release, new deps :)

Feel free to decide whether to keyword deps or use.mask.

x86:
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/zimg

sparc:
 media-libs/chromaprint
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/openh264
 media-libs/rubberband
 media-libs/zimg

ppc64:
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/openh264
 media-libs/zimg

ppc:
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/openh264
 media-libs/zimg

ia64:
 media-libs/chromaprint
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/openh264
 media-libs/rubberband
 media-libs/zimg

hppa:
 media-libs/chromaprint
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/openh264
 media-libs/zimg

arm:
 media-libs/chromaprint
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/openh264
 media-libs/rubberband
 media-libs/zimg

alpha:
 media-libs/kvazaar
 media-video/nvidia_video_sdk
 media-libs/openh264
 media-libs/zimg
Comment 1 Alexis Ballier gentoo-dev 2016-02-24 10:39:40 UTC
add media-sound/dcadec to the above list
Comment 2 Alexis Ballier gentoo-dev 2016-02-24 15:39:13 UTC
and also media-libs/libilbc
Comment 3 Tobias Klausmann gentoo-dev 2016-06-07 14:37:50 UTC
nvidia-drivers (needed by the nvidia SDK) will never work on Alpha (and I suspect few other archs), hence I masked USE=nvenc on alpha.

Likewise, openh264 needs nasm, which will never work on Alpha, according to upstream. Thus, I masked USE=openh264

That leaves us with:

media-video/ffmpeg-3.0.1
media-libs/kvazaar-0.8.3
media-libs/zimg-2.0.4
media-sound/dcadec-0.2.0
media-libs/libilbc-2.0.2

...but libilbc doesn't even compile (missing arch definition).

Should I continue masking everything that doesn't work outright? I'm fine with that, I doubt many people do lots of ffmpeg work on Alphas these days. But I don't want to drop ffmpeg entirely due to the ripple effect on its rdeps it would have.

Please advise.
Comment 4 Alexis Ballier gentoo-dev 2016-06-08 09:46:58 UTC
(In reply to Tobias Klausmann from comment #3)
> Should I continue masking everything that doesn't work outright? I'm fine
> with that, I doubt many people do lots of ffmpeg work on Alphas these days.
> But I don't want to drop ffmpeg entirely due to the ripple effect on its
> rdeps it would have.
> 
> Please advise.

I'd say mask what doesn't work
Comment 5 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-07-25 17:18:56 UTC
Added media-video/ffmpeg nvenc openh264 to profiles/arch/powerpc/package.use.mask
Marked media-libs/zimg ~ppc
Keywording media-libs/kvazaar needs bug 589699 fixed first.
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-07-25 17:25:42 UTC
I think that it may best to mask nvenc and openh264 in global package.use.mask, and only unmask for the architectures where nvidia_video_sdk and openh264 are keyworded.
Comment 7 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-07-26 10:51:32 UTC
ppc done
Comment 8 Jeroen Roovers gentoo-dev 2016-10-15 05:41:32 UTC
# Alexis Ballier <aballier@gentoo.org> (15 Feb 2016)
# Breaks some of its reverse dependencies.
# Bug 574788
>=media-video/ffmpeg-3.0
>=media-video/mplayer-1.3.0

OK. Re-CC when that's fixed. The >3 ebuilds are already keyworded anyway, so there is nothing to do until the keywords are actually dropped properly.
Comment 9 Alexis Ballier gentoo-dev 2016-10-15 10:28:19 UTC
(In reply to Jeroen Roovers from comment #8)
> # Alexis Ballier <aballier@gentoo.org> (15 Feb 2016)
> # Breaks some of its reverse dependencies.
> # Bug 574788
> >=media-video/ffmpeg-3.0
> >=media-video/mplayer-1.3.0
> 
> OK. Re-CC when that's fixed.

Please read the mentioned bug before taking action next time. ffmpeg not having broken deps is independent from not having all its revdeps fixed...


> The >3 ebuilds are already keyworded anyway, so

done that, if that's all that can please you...
Comment 10 Jeroen Roovers gentoo-dev 2016-10-15 10:40:37 UTC
(In reply to Alexis Ballier from comment #9)
> (In reply to Jeroen Roovers from comment #8)
> > # Alexis Ballier <aballier@gentoo.org> (15 Feb 2016)
> > # Breaks some of its reverse dependencies.
> > # Bug 574788
> > >=media-video/ffmpeg-3.0
> > >=media-video/mplayer-1.3.0
> > 
> > OK. Re-CC when that's fixed.
> 
> Please read the mentioned bug before taking action next time. ffmpeg not
> having broken deps is independent from not having all its revdeps fixed...

It's virtually impossible to keyword a package when it's masked. That's what needs to be fixed.
Comment 11 Alexis Ballier gentoo-dev 2016-10-15 11:20:53 UTC
(In reply to Jeroen Roovers from comment #10)
> (In reply to Alexis Ballier from comment #9)
> > (In reply to Jeroen Roovers from comment #8)
> > > # Alexis Ballier <aballier@gentoo.org> (15 Feb 2016)
> > > # Breaks some of its reverse dependencies.
> > > # Bug 574788
> > > >=media-video/ffmpeg-3.0
> > > >=media-video/mplayer-1.3.0
> > > 
> > > OK. Re-CC when that's fixed.
> > 
> > Please read the mentioned bug before taking action next time. ffmpeg not
> > having broken deps is independent from not having all its revdeps fixed...
> 
> It's virtually impossible to keyword a package when it's masked. That's what
> needs to be fixed.

when keywords are not dropped:
repoman --without-mask | grep $ARCH

when they are dropped: keyword it first.
Comment 12 Pacho Ramos gentoo-dev 2016-10-15 11:45:52 UTC
x86 done
Comment 13 Stabilization helper bot gentoo-dev 2017-01-31 14:03:24 UTC
An automated check of this bug failed - repoman reported dependency errors (146 lines truncated): 

> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['>=media-libs/libebur128-1.1.0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: RDEPEND: ~alpha(default/linux/alpha/13.0) ['>=media-libs/libebur128-1.1.0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/libebur128-1.1.0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-libs/rubberband/rubberband-1.8.1-r1.ebuild: DEPEND: ~arm(default/linux/arm/13.0) ['media-libs/ladspa-sdk']
> dependency.bad media-libs/rubberband/rubberband-1.8.1-r1.ebuild: RDEPEND: ~arm(default/linux/arm/13.0) ['media-libs/ladspa-sdk']
> dependency.bad media-libs/rubberband/rubberband-1.8.1-r1.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['media-libs/vamp-plugin-sdk[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', 'media-libs/ladspa-sdk']
> dependency.bad media-libs/openh264/openh264-1.5.0.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['dev-lang/nasm']
> dependency.bad media-libs/openh264/openh264-1.5.0.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['dev-lang/nasm']
> dependency.bad media-libs/openh264/openh264-1.5.0.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop/gnome) ['dev-lang/nasm']
Comment 14 Stabilization helper bot gentoo-dev 2017-01-31 15:03:31 UTC
An automated check of this bug failed - repoman reported dependency errors (107 lines truncated): 

> dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/gnome) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 15 Alexis Ballier gentoo-dev 2017-01-31 15:39:13 UTC
(In reply to Stabilization helper bot from comment #14)
> An automated check of this bug failed - repoman reported dependency errors
> (107 lines truncated): 
> 
> > dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> > dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> > dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/gnome) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']

There is a bug with the bot I think:
There is no ffmpeg-2.8.10 in the list. ladspa-sdk-1.13-r2 is marked *stable* on alpha. What's happening ?
Comment 16 Stabilization helper bot gentoo-dev 2017-01-31 16:24:55 UTC
An automated check of this bug failed - repoman reported dependency errors (107 lines truncated): 

> dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-2.8.10.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/gnome) ['>=media-libs/ladspa-sdk-1.13-r2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 17 Mart Raudsepp gentoo-dev 2017-01-31 17:24:24 UTC
As kensington explained in IRC, it's turning all the listed packages to ~arch with a "ekeyword ~arch pkg" for each package for each of the arches CCed on the bug, because the arches aren't listed, thus downgrading ladspa-sdk and a few other things to ~alpha (or in some cases also other arches, just snipped out), thus breaking earlier stable ffmpeg during the repoman check.
So at least until bugbot starts avoiding doing that (converting stable to ~arch), it's still nice to specify which arches need to do what via the optional specification in package list (so arch team can grep out only their arch from the bigger list), so I've tried to do that for you.
Comment 18 Stabilization helper bot gentoo-dev 2017-01-31 18:02:33 UTC
An automated check of this bug failed - repoman reported dependency errors (71 lines truncated): 

> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: DEPEND: ~arm(default/linux/arm/13.0) ['media-video/nvidia_video_sdk']
> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: RDEPEND: ~arm(default/linux/arm/13.0) ['media-video/nvidia_video_sdk']
> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['media-video/nvidia_video_sdk']
Comment 19 Stabilization helper bot gentoo-dev 2017-01-31 19:03:10 UTC
An automated check of this bug failed - repoman reported dependency errors (110 lines truncated): 

> dependency.bad media-video/nvidia_video_sdk/nvidia_video_sdk-6.0.1.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['>=x11-drivers/nvidia-drivers-347.09']
> dependency.bad media-video/nvidia_video_sdk/nvidia_video_sdk-6.0.1.ebuild: RDEPEND: ~alpha(default/linux/alpha/13.0) ['>=x11-drivers/nvidia-drivers-347.09']
> dependency.bad media-video/nvidia_video_sdk/nvidia_video_sdk-6.0.1.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['>=x11-drivers/nvidia-drivers-347.09']
> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['media-libs/libsdl2[sound,video,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: RDEPEND: ~ia64(default/linux/ia64/13.0) ['media-libs/libsdl2[sound,video,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-video/ffmpeg/ffmpeg-3.2.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0/desktop) ['media-libs/libsdl2[sound,video,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 20 Alexis Ballier gentoo-dev 2017-01-31 19:14:18 UTC
putting nvidia-drivers & nvidia_video_sdk to please the bot but really arches should p.use.mask nvenc
Comment 21 Stabilization helper bot gentoo-dev 2017-01-31 20:03:52 UTC
An automated check of this bug failed - repoman reported dependency errors (71 lines truncated): 

> dependency.bad x11-drivers/nvidia-drivers/nvidia-drivers-378.09.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['app-eselect/eselect-opencl']
> dependency.bad x11-drivers/nvidia-drivers/nvidia-drivers-378.09.ebuild: RDEPEND: ~alpha(default/linux/alpha/13.0) ['app-eselect/eselect-opencl', 'sys-power/acpid']
> dependency.bad x11-drivers/nvidia-drivers/nvidia-drivers-378.09.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['app-eselect/eselect-opencl']
Comment 22 Alexis Ballier gentoo-dev 2017-01-31 20:29:14 UTC
ok, let's do it the other way: i've masked nvenc globally and unmasked on arches where video_cards_nvidia is unmasked...
Comment 23 Jeroen Roovers gentoo-dev 2017-02-05 12:00:29 UTC
Marked ~hppa.
Comment 24 Markus Meier gentoo-dev 2017-02-17 17:29:13 UTC
~arm added.
Comment 25 Michael Weber (RETIRED) gentoo-dev 2017-02-20 17:06:15 UTC
Added ~ppc64 keyword.
Comment 26 Michael Weber (RETIRED) gentoo-dev 2017-02-20 19:38:33 UTC
Add ~ppc keyword.
Comment 27 Tobias Klausmann gentoo-dev 2017-03-02 15:53:52 UTC
Keyworded on alpha.
Comment 28 Sergei Trofimovich gentoo-dev 2017-06-10 20:15:31 UTC
~ia64 keyworded
Comment 29 Stabilization helper bot gentoo-dev 2017-06-10 21:00:41 UTC
An automated check of this bug failed - the following atom is unknown:

media-libs/zimg-2.4

Please verify the atom list.
Comment 30 Mart Raudsepp gentoo-dev 2017-08-29 18:47:43 UTC
As I was here for gstreamer related stuff and noticed sanity-check fail due to zimg bumps over time (and comment making a recheck and switching it to fail), I've taken the liberty to update the list fully for sparc only purposes, as they are the only ones still left here, not just fixing the zimg version (but also increasing them to latest available that others have keyworded).
Comment 31 Alexis Ballier gentoo-dev 2017-08-29 18:55:08 UTC
(In reply to Mart Raudsepp from comment #30)
> As I was here for gstreamer related stuff and noticed sanity-check fail due
> to zimg bumps over time (and comment making a recheck and switching it to
> fail), I've taken the liberty to update the list fully for sparc only
> purposes, as they are the only ones still left here, not just fixing the
> zimg version (but also increasing them to latest available that others have
> keyworded).

Thanks. I did something similar in bug #615510, let's see who wins the race! :)
Comment 32 Mart Raudsepp gentoo-dev 2017-08-29 18:59:43 UTC
I'm guessing this one will fail due to me putting ffmpeg-3.3 in here. Probably best to merge this into the new one and close this one here after shifting the blockers over too.
Comment 33 Stabilization helper bot gentoo-dev 2017-08-29 19:01:10 UTC
An automated check of this bug failed - repoman reported dependency errors (7 lines truncated): 

> dependency.bad media-video/ffmpeg/ffmpeg-3.3.3.ebuild: DEPEND: ~sparc(default/linux/sparc/13.0) ['>=sci-libs/netcdf-4.3.2-r1[hdf5]', '>=net-libs/zeromq-4.1.6']
> dependency.bad media-video/ffmpeg/ffmpeg-3.3.3.ebuild: RDEPEND: ~sparc(default/linux/sparc/13.0) ['>=sci-libs/netcdf-4.3.2-r1[hdf5]', '>=net-libs/zeromq-4.1.6']
> dependency.bad media-video/ffmpeg/ffmpeg-3.3.3.ebuild: DEPEND: ~sparc(default/linux/sparc/13.0/desktop) ['>=sci-libs/netcdf-4.3.2-r1[hdf5]', '>=net-libs/zeromq-4.1.6']
Comment 35 Sergei Trofimovich gentoo-dev 2018-04-20 07:31:51 UTC
sparc@ will do newer version of ffmpeg